Hello All,
I have a RedHat AS4 server in my office. When i am trying to compile the new openssh for my server i got gcc is missing. So i tried to install an rpm package of gcc. But when am using rpm command am getting the following error.

# /bin/rpm
/bin/rpm: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by /usr/lib/libbz2.so.1)

But when i locating the library file its there.
# locate libc.so.6
/lib/i686/libc.so.6
/lib/tls/libc.so.6
/lib/tls/i686/nosegneg/libc.so.6
/lib/libc.so.6

My linux Version

# uname -a
Linux shdc-itapps01 2.6.9-67.EL #1 Wed Nov 7 13:41:13 EST 2007 i686 i686 i386 GNU/Linux
Please help to solve this problem.

Thanks in advance for your help.

Suneesh